## Function(event, treeId, treeNode)setting.callback.onExpand

### Overview[ depends on jquery.ztree.core js ]

Callback for expand node.

If you set 'setting.callback.beforeExpand',and return false, zTree will not expand node, and will not trigger the 'onExpand' callback.

Default: null

### Function Parameter Descriptions

#### event js event Object

event Object

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node to be expanded

### Examples of setting & function

#### 1. When expand node, alert info about 'tId' and 'name'.

    function myOnExpand(event, treeId, treeNode) {
        alert(treeNode.tId + ", " + treeNode.name);
    };
    var setting = {
    	callback: {
    		onExpand: myOnExpand
    	}
    };
    ......